org.vishia.guiBzr

## Class BzrGui

- java.lang.Object
- - org.vishia.gral.area9.GuiCfg
  - - org.vishia.guiBzr.BzrGui

-     public class BzrGui
      extends GuiCfg

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `(package private) static class` | `BzrGui.CallingArguments` The command-line-arguments may be stored in an extra class, which can arranged in any other class too.
    `private static class` | `BzrGui.CmdLineAndGui` Organisation class for the GUI.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) BzrGui.CallingArguments` | `cargs`
    `(package private) GuiCommitPanel` | `guiCommitPanel`
    `(package private) GuiFilesDiffPanel` | `guiFilesDiffPanel`
    `(package private) GuiSelectPanel` | `guiSelectPanel`
    `(package private) GuiStatusPanel` | `guiStatusPanel` Panel-Management-interface for the panels.
    `(package private) BzrIdents` | `idents`
    `(package private) MainData` | `mainData`
    `(package private) PanelOutput` | `panelOutput`
    `static int` | `version` Version, able to read as hex yyyymmdd.

    - ### Fields inherited from class org.vishia.gral.area9.GuiCfg

      `_gralMng, actionFile, console, gui, guiAccess, guiCfgData, guiW, mainCmd, mainTabPanel, panelBuildIfc, plugUser2Gui, user`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BzrGui(BzrGui.CallingArguments cargs, GralArea9MainCmd cmdgui)` ctor for the main class of the application.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `initGuiAreas(java.lang.String sMainArea)` Initializes the areas for the panels and configure the panels.
    `static void` | `main(java.lang.String[] args)` The command-line-invocation (primary command-line-call.
    `protected void` | `stepMain()`

    - ### Methods inherited from class org.vishia.gral.area9.GuiCfg

      `appendTextInfoBox, execute, finishMain, get, getPluggedUser, initMain, initMenuGralDesigner, setTextInfoBox, showInfoBox, userInit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### version

          public static final int version

      Version, able to read as hex yyyymmdd. Changes:
      - 2011-05-17 new association panelOutput to the output panel for any outputs. It is used yet for the diff output.
      - 2011-05-01 Hartmut: Created
      See Also:
        Constant Field Values

    - #### cargs

          final BzrGui.CallingArguments cargs

    - #### mainData

          final MainData mainData

    - #### idents

          final BzrIdents idents

    - #### guiStatusPanel

          final GuiStatusPanel guiStatusPanel

      Panel-Management-interface for the panels.

    - #### guiSelectPanel

          final GuiSelectPanel guiSelectPanel

    - #### guiCommitPanel

          final GuiCommitPanel guiCommitPanel

    - #### panelOutput

          final PanelOutput panelOutput

    - #### guiFilesDiffPanel

          final GuiFilesDiffPanel guiFilesDiffPanel

  - ### Constructor Detail

    - #### BzrGui

          BzrGui(BzrGui.CallingArguments cargs,
                 GralArea9MainCmd cmdgui)

      ctor for the main class of the application. The main class can be created in some other kinds as done in static main too. But it needs the `MainCmdWin`.
      The ctor checks whether a gUI-configuration file is given. If not then the default configuration is used. It is especially for the Sample.
      The the GUI will be completed with the content of the GUI-configuration file.
      Parameters:
        `cargs` - The given calling arguments.
        `gui` - The GUI-organization.

  - ### Method Detail

    - #### initGuiAreas

          protected void initGuiAreas(java.lang.String sMainArea)

      Initializes the areas for the panels and configure the panels. This routine can be overridden if other areas are need.
      Overrides:
        `initGuiAreas` in class `GuiCfg`

    - #### stepMain

          protected void stepMain()

      Overrides:
        `stepMain` in class `GuiCfg`

    - #### main

          public static void main(java.lang.String[] args)

      The command-line-invocation (primary command-line-call.
      Parameters:
        `args` - Some calling arguments are taken. This is the GUI-configuration especially.